Get 30% Discount on Business Pack Order here Click Here
Pasang ap click on the icon in the top right of the address bar.

Halaman status

GET https://uptimer24.com/api/status-pages/
curl --request GET \
--url 'https://uptimer24.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Butiran Penerangan
search Pilihan Rentetan Rentetan carian.
search_by Pilihan Rentetan Apakah bidang yang anda cari. Nilai yang dibenarkan adalah: name.
is_enabled Pilihan Boolean
project_id Pilihan Integer
domain_id Pilihan Integer
datetime_field Pilihan Rentetan Nilai yang dibenarkan: datetime, last_datetime
datetime_start Pilihan Rentetan Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Pilihan Rentetan Filter results up to this datetime. Y-m-d H:i:s format.
order_by Pilihan Rentetan Medan apa untuk menyusun keputusan. Nilai yang dibenarkan adalah: status_page_id, datetime, last_datetime, name, pageviews.
order_type Pilihan Rentetan Penentuan susunan keputusan. Nilai yang dibenarkan adalah: ASC untuk susunan menaik, dan DESC untuk susunan menurun.
page Pilihan Integer Nombor halaman yang anda mahu hasilkan. Lalai kepada 1.
results_per_page Pilihan Integer Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan adalah: 10, 25, 50, 100, 250, 500, 1000. Lalai kepada 25.
{
    "data": [
        {
            "id": 1,
            "domain_id": 0,
            "monitors_ids": [1,2,3],
            "project_id": 0,
            "url": "example",
            "full_url": "https://uptimer24.com/s/example/",
            "name": "Example",
            "description": "This is just a simple description for the example status page 👋.",
            "socials": {
                "facebook": "example",
                "instagram": "example",
                "twitter": "example",
                "email": "",
                "website": "https://example.com/"
            },
            "logo_url": "",
            "favicon_url": ""
            "password": false,
            "timezone": "UTC",
            "custom_js": "",
            "custom_css": "",
            "pageviews": 50,
            "is_se_visible": true,
            "is_removed_branding": false,
            "is_enabled": true,
            "datetime": "2026-07-19 04:06:08",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/status-pages?page=1",
        "last": "https://uptimer24.com/api/status-pages?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/status-pages?page=1"
    }
}
GET https://uptimer24.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptimer24.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "domain_id": 0,
        "monitors_ids": [1,2,3],
        "project_id": 0,
        "url": "example",
        "full_url": "https://uptimer24.com/s/example/",
        "name": "Example",
        "description": "This is just a simple description for the example status page 👋.",
        "socials": {
            "facebook": "example",
            "instagram": "example",
            "twitter": "example",
            "email": "",
            "website": "https://example.com/"
        },
        "logo_url": "",
        "favicon_url": ""
        "password": false,
        "timezone": "UTC",
        "custom_js": "",
        "custom_css": "",
        "pageviews": 50,
        "is_se_visible": true,
        "is_removed_branding": false,
        "is_enabled": true,
        "datetime": "2026-07-19 04:06:08",
    }
}